## org.apache.http.auth
Class AuthOption

    java.lang.Object
      org.apache.http.auth.AuthOption

    @Immutable
    public final class AuthOption

extends Object

Since:
  4.2

Constructor Summary
`AuthOption(AuthScheme authScheme, Credentials creds)`

Method Summary
`AuthScheme` `getAuthScheme()`
`Credentials` `getCredentials()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthOption

    public AuthOption(AuthScheme authScheme,
                      Credentials creds)

Method Detail

### getAuthScheme

    public AuthScheme getAuthScheme()

### getCredentials

    public Credentials getCredentials()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.